#
# spec file for package python-pyparsing
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oldpython python
%{?!python_module:%define python_module() python-%{1} python3-%{1}}
Name:           python-pyparsing
Version:        2.1.10
Release:        0
Summary:        Grammar Parser Library for Python
License:        MIT and GPL-2.0+ and GPL-3.0+
Group:          Development/Languages/Python
Url:            http://pyparsing.wikispaces.com/
Source:         https://files.pythonhosted.org/packages/source/p/pyparsing/pyparsing-%{version}.tar.gz
Patch0:         desetuptoolize.patch
BuildRequires:  %{python_module base}
BuildRequires:  python-rpm-macros
# do not add dependencies on setuptools and ideally not even full "python";
# this is now a dependency of setuptools
Requires:       python-base
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%ifpython2
Provides:       %{oldpython}-parsing = %{version}
Obsoletes:      %{oldpython}-parsing < %{version}
%endif
%python_subpackages

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package doc
Summary:        Grammar Parser Library for Python - Documentation
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description doc
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This package contains the documentation of %{name}

%prep
%setup -q -n pyparsing-%{version}
%patch0 -p1

%build
%python_build
# Fix wrong EOL encoding:
sed -i 's/\r$//' CHANGES LICENSE README examples/*

%install
%python_install
# ensure egg-info is a directory
%{python_expand rm %{buildroot}%{$python_sitelib}/*.egg-info
cp -r pyparsing.egg-info %{buildroot}%{$python_sitelib}/pyparsing-%{version}-py%{$python_version}.egg-info
}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{python_sitelib}/pyparsing.py*
%pycache_only %{python_sitelib}/__pycache__/*
%{python_sitelib}/pyparsing-%{version}-py*.egg-info/

%files %{python_files doc}
%defattr(-,root,root,-)
%doc docs/* examples

%changelog
